Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001325TestLinkInstallerpublic2008-01-23 20:392008-11-07 19:46
Reportermasami 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001325: Cannot install SNAPSHOT-HEAD-2008-01-23
DescriptionHello.

I tried to install latest TestLink.
It's SNAPSHOT-HEAD-2008-01-23.tar.bz2 which I downloaded from http://testlink.org/cvs_tarballs/index.php?dir=head/. [^]

In install process, I have gotten this error messages.
---- start
TestLink setup will now attempt to setup the database:

Creating connection to Database Server: OK!


Checking MySQL version: OK! (5.0.51 >= 4.1.0)


Connecting to database `testlink`: OK!
Fatal error: Call to a member function getTransaction() on a non-object in /home/masami/public_html/testlink/lib/functions/logging.inc.php on line 23

--- end

Cheers,

TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browsericeweasel
PHP Version5.2.4
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003040)
fman (administrator)
2008-01-24 00:20

go to logging.inc.php, and comment contents of this function.
We will fix.
(0003041)
fman (administrator)
2008-01-24 00:21

Reminder sent to: schlundus

Would you mind to fix this ?
(0003044)
schlundus (reporter)
2008-01-24 04:58

Hm, already fixed since
Revision : 1.18
Date : 2008/1/19 17:47:48
Author : 'schlundus'

I'm wondering why such an old file is in a snapshot of 23.01.2008?

@Azl: Can you check this?
(0003046)
toshi (reporter)
2008-01-24 08:43

I have been able to check that the fix is not included in nightly build 2008-01-24 but in CVS codes.

In addition, Masami (who is TTF member) set Selenium tests to TL nightly builds. We can see this result in TTF web page.
http://testlinkjp.org/testtaskforce/autotest/ [^]

The Selenium test case "install-mysql.html" tests TL installer.
(0003050)
fman (administrator)
2008-01-25 02:24

tested with CVS checkout 20080124 - 19:30 Rome Time OK

- Issue History
Date Modified Username Field Change
2008-01-23 20:39 masami New Issue
2008-01-23 20:39 masami Browser => iceweasel
2008-01-23 20:39 masami PHP Version => 5.2.4
2008-01-24 00:20 fman Note Added: 0003040
2008-01-24 00:21 fman Note Added: 0003041
2008-01-24 04:06 schlundus Status new => assigned
2008-01-24 04:06 schlundus Assigned To => azl
2008-01-24 04:58 schlundus Note Added: 0003044
2008-01-24 08:43 toshi Note Added: 0003046
2008-01-25 02:24 fman Assigned To azl => fman
2008-01-25 02:24 fman Status assigned => resolved
2008-01-25 02:24 fman Fixed in Version => next development version (1.8 Beta1)
2008-01-25 02:24 fman Resolution open => fixed
2008-01-25 02:24 fman Note Added: 0003050
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker